Bug 710184 - (CVE-2011-1958) CVE-2011-1958 wireshark (64bit): NULL pointer dereference by processing of a corrupted Diameter dictionary file
CVE-2011-1958 wireshark (64bit): NULL pointer dereference by processing of a ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20110531,reported=2...
: Security
Depends On: 809045 809046 834180
Blocks: 807617 816611
  Show dependency treegraph
 
Reported: 2011-06-02 11:38 EDT by Jan Lieskovsky
Modified: 2016-03-04 05:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 04:07:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-06-02 11:38:15 EDT
A NULL pointer dereference flaw was found in the way Wireshark processed
certain Diameter dictionary files. A remote attacker could create a
specially-crafted dictionary file, which once used, by a local, unsuspecting
user when loading a Diameter capture file could lead to wireshark application
crash.

References:
[1] http://www.openwall.com/lists/oss-security/2011/05/31/20
    (CVE request)
[2] http://www.wireshark.org/security/wnpa-sec-2011-07.html
    (upstream advisory)
Comment 1 Jan Lieskovsky 2011-06-02 11:40:04 EDT
This issue affects the versions of the wireshark package, as shipped with
Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the wireshark package, as shipped with
Fedora release of 13, 14, and 15.
Comment 7 errata-xmlrpc 2012-04-23 12:52:30 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0509 https://rhn.redhat.com/errata/RHSA-2012-0509.html
Comment 8 Vincent Danen 2012-04-23 13:44:15 EDT
Current Fedora has wireshark 1.4.12 which is not affected by this flaw.
Comment 10 Murray McAllister 2012-10-03 00:26:20 EDT
Acknowledgements:

This issue was discovered by Huzaifa Sidhpurwala of the Red Hat Security Response Team.
Comment 12 errata-xmlrpc 2013-01-08 00:00:30 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0125 https://rhn.redhat.com/errata/RHSA-2013-0125.html
Comment 14 Huzaifa S. Sidhpurwala 2013-01-08 04:07:28 EST
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.